<?php
/* DCMS Special
 * Дата последнего редактирования 01.10.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

$set['title'] = lang('Дополнительно');

require_once H . 'sys/inc/thead.php';

aut();

#Тех. поддержка
if (isset($_GET['act']) && $_GET['act'] == 'help') {

    only_reg();

    #Навигация
    echo "<div class='list-group-item-null list-group-item-grey'><small>";
    echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='/modules/info/'>" . lang('Дополнительно') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo lang('Онлайн поддержка');
    echo "</small></div><br />";

    echo "<div class='list-group-item-null list-group-item-info'>";
    echo lang('Свои вопросы вы можете задать администрации');
    echo "</div>";

    $k_post = $db->super_query("SELECT COUNT(*) as count FROM `user` WHERE `level` <> '0'");
    $k_post = $k_post['count'];
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];

    if ($k_post == 0) {
        $doc->NoResult();
    }

    $q = $db->query("SELECT `id` FROM `user` WHERE `date_last` > '" . (TIME - 900) . "' AND `group_access` > '3' ORDER BY `date_last` DESC LIMIT $start, $set[p_str]");

    while ($ank = $db->get_array($q)) {
        echo "<div class='list-group-item-null'>";
        if (isset($user) && $user['id'] != $ank['id']) {
            echo "<span style='float: right;'><a href='/user/mail/messageList.php?contact=$ank[id]' class='hint--left' data-hint='" . lang('Написать сообщение') . "'><i class='fa fa-envelope'></i></a></span>";
        } else {
            echo "<span style='float: right;'><small>" . lang('Это Вы') . "</small></span>";
        }
        user($ank['id']);

        echo "</div>";
        echo "<div class='hr'></div>";
    }

    require_once H . 'sys/inc/tfoot.php';
    exit;
}

#Правила форума
if (isset($_GET['act']) && $_GET['act'] == 'forum') {
    #Навигация
    echo '<ol class="breadcrumb">
    <li><a href="/index.php">Главная</a></li>
    <li><a href="/umenu.php">Кабинет</a></li>
    <li><a href="/modules/info/">Информация</a></li>
    <li class="active">Правила форума</li>
</ol>';

    echo "<div class = 'list-group-item'><center><b>Правила форума</b></center></div>";
    echo "<div class = 'list-group-item'>";
    echo "<b>Данные правила действительны для всего форума, если иное не оговорено отдельно. Незнание этих и других правил форума не только не освобождает вас от ответственности за их нарушение, но и само по себе является нарушением и отягчающим вину обстоятельством. Данные правила могут быть изменены или дополнены в силу возникновения обстоятельств, не рассмотренных в настоящих правилах. За нарушения этих правил к пользователю могут быть применены некоторые штрафные санкции.</b>";
    echo "</div><div class = 'list-group-item'>";
    echo "<b>Запрещается публиковать информацию, содержащую:</b><br />";
    echo "&bull; чрезмерное количество жаргонных слов, грубые и нецензурные слова или выражения<br />";
    echo "&bull; рекламу<br />";
    echo "&bull; порнографию<br />";
    echo "&bull; чужую личную информацию<br />";
    echo "&bull; оскорбления, угрозы, клевету<br />";
    echo "&bull; объекты расистского характера и разжигания межнациональной розни<br />";
    echo "&bull; политическую, религиозную и иную пропаганду<br />";
    echo "&bull; призывы к насилию или нарушению действующего законодательства<br />";

    echo "<font color = 'red'>Наказание: правка или удаление информации, а также предупреждение или бан пользователя.</font></div>";
    echo "<div class = 'list-group-item'>";
    echo "<font color = 'red'>В течение 10 минут после добавления темы или сообщении Вы можете его исправить.</font></div>";
    echo "<div class = 'list-group-item'><a href = '/modules/info/'><span class='fa fa-arrow-left'></span> Вернуться</a></div>";

    require_once H . 'sys/inc/tfoot.php';
    exit;
}
#Правила фотоальбомов
if (isset($_GET['act']) && $_GET['act'] == 'foto') {
    #Навигация
    echo '<ol class="breadcrumb">
    <li><a href="/index.php">Главная</a></li>
    <li><a href="/umenu.php">Кабинет</a></li>
    <li><a href="/modules/info/">Информация</a></li>
    <li class="active">Правила фотоальбомов</li>
</ol>';
    echo "<div class = 'list-group-item'>Размещаемые в фотоальбомах фото не должны:</div>";
    echo "<div class = 'list-group-item'>";
    echo "1. Нарушать действующее законодательство<br />";
    echo "2. Нарушать честь и достоинство<br />";
    echo "3. Нарушать права и охраняемые законом интересы третьих лиц<br />";
    echo "4. Способствовать разжиганию религиозной, расовой или межнациональной розни<br />";
    echo "5. Содержать сцены насилия, либо бесчеловечного обращения с животными<br />";
    echo "6. Носить непристойный или оскорбительный характер<br />";
    echo "7. Содержать рекламу наркотических средств<br />";
    echo "8. Нарушать права несовершеннолетних лиц<br />";
    echo "9. Нарушать авторские и смежные права третьих лиц<br />";
    echo "10. Носить порнографический характер<br />";
    echo "11. Содержать коммерческую рекламу в любом виде.<br />";
    echo "<b>Внимание! За несоблюдение данных правил фотоальбом удаляется, а пользователь наказывается Баном!</b></div>";

    echo "<div class = 'list-group-item'><a href = '/modules/info/'><span class='fa fa-arrow-left'></span> Вернуться</a></div>";

    require_once H . 'sys/inc/tfoot.php';
    exit;
}

#Рейтинг
if (isset($_GET['act']) && $_GET['act'] == 'rating') {
    only_reg();
    #Навигация
    echo '<ol class="breadcrumb">
    <li><a href="/index.php">Главная</a></li>
    <li><a href="/umenu.php">Кабинет</a></li>
    <li><a href="/modules/info/">Информация</a></li>
    <li class="active">Рейтинг</li>
</ol>';

    echo "<div class = 'list-group-item'>Рейтинг - $user[rating]</div>";
    echo "<div class = 'list-group-item'>";
    echo "Рейтинг на сайте играет большую роль. Рейтинг приобретается путем покупки, от другого пользователя, обмена и от отдельных модулей сайта. Благодаря рейтингу Вам будут доступны некоторые важные функции, например смена логина, бан пользователя, и т.д";
    echo "</div>";
    echo "<div class = 'list-group-item'><a href = '/modules/info/'><span class='fa fa-arrow-left'></span> Вернуться</a></div>";

    require_once H . 'sys/inc/tfoot.php';
    exit;
}

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Дополнительно');
echo "</small></div><br />";

if (isset($user)) {
    echo "<a class='list-group-item-null' href='?act=help'><i class='fa fa-life-ring fa-fw'></i> " . lang('Онлайн поддержка') . "</a>";
    echo "<a class='list-group-item-null' href='/modules/smiles/'><i class='fa fa-smile-o fa-fw'></i> " . lang('Смайлы') . "</a>";
    echo "<a class='list-group-item-null' href='/user/bb.php'><i class='fa fa-strikethrough fa-fw'></i> " . lang('ББ-коды') . "</a>";
}
//echo "<div class = 'list-group-item-null'><a href = '?act=forum'><span class='fa fa-chevron-right'></span> Правила форума</a></div>";
//echo "<div class = 'list-group-item-null'><a href = '?act=foto'><span class='fa fa-chevron-right'></span> Правила фотоальбомов</a></div>";
//echo "<div class = 'list-group-item-null'><a href = '?act=security'><span class='fa fa-chevron-right'></span> Правила защиты логина</a></div>";

echo "<div class='list-group-item-null list-group-item-info'>" . lang('Информация') . "</div>";
?>

<div id="accordion" role="tablist" aria-multiselectable="true">
    <div class="collection">
        <div class="list-group-item-null">
            <div role="tab" id="headingTwo">
                <a class="collapsed" data-toggle="collapse" data-parent="#accordion" href="#activity" aria-expanded="false" aria-controls="activity"><?php echo lang('Что такое активность') . '?'; ?></a>
            </div>
            <div id="activity" class="panel-collapse collapse" role="tabpanel" aria-labelledby="activity">
                <?php
                echo lang('Благодаря Вашей активности на сайте, Вам будут начисляться специальные баллы активности. С помощью этих баллов возможны нововведения на сайте, у Вас появятся новые функции и возможности. Получить баллы активности можно, выполняя задания и проявляя себя в форуме, чате, блогах, выгружая фото, файлы и т.д');
                ?>
            </div>
        </div>
        <div class="list-group-item-null">
            <div role="tab" id="headingThree">
                <a class="collapsed" data-toggle="collapse" data-parent="#accordion" href="#rubl" aria-expanded="false" aria-controls="rubl"><?php echo lang('Что такое рубли') . '? ' . lang('Зачем они нужны') . '?'; ?></a>
            </div>
            <div id="rubl" class="panel-collapse collapse" role="tabpanel" aria-labelledby="rubl">
                <?php
                echo lang('Рубли - это основная валюта нашего сайта. С помощью данной валюты, можно производить какие-либо финансовые действия на сайте. Валюта зарабатывается разными способами, проявляя свою активность, в форуме, в конкурсах и тд. Рубли можно влаживать в банк, в котором будут капать проценты');
                ?>
            </div>
        </div>
        <div class="list-group-item-null">
            <div role="tab" id="headingThree">
                <a class="collapsed" data-toggle="collapse" data-parent="#accordion" href="#nick" aria-expanded="false" aria-controls="nick"><?php echo lang('Как защитить свой логин') . '?'; ?></a>
            </div>
            <div id="nick" class="panel-collapse collapse" role="tabpanel" aria-labelledby="nick">
                <?php
                echo lang('1. Пароль вида `123456` или `666666` долго не продержится. Как только вы станете популярным на сайте, найдется злоумышленник, который его подберет.') . "<br />";
                echo lang('2. Не указывайте E-mail в анкете, если не уверены в надежности почты. Имея доступ к вашему почтовому ящику, злоумышленник может воспользоваться `Восстановлением пароля` и имея доступ к почте, узнать ваш пароль. Не доверяйте людям, которые якобы вам помогают настраивать почту, MMS и т.д. Они крадут ваши ники.') . "<br />";
                echo lang('3. Никому и никогда, не сообщайте приватную информацию, пароли и т.д. Не верьте людям, которые представляются Администраторами сайта и просят вас сообщить пароль или другую конфиденциальную информацию (Администрация никогда не запрашивает приватную информацию).') . "<br />";
                echo lang('Если вы все же утратили доступ к своей странице обратитесь к администрации');
                ?>
            </div>
        </div>
    </div>
</div>

<?php
require_once H . 'sys/inc/tfoot.php';
